DIR="$HOME/.config/tmux"

#-------------------------------------------------------#
# Key bind.
#-------------------------------------------------------#
# Reload tmux.
bind r source-file "$DIR/tmux.conf"

# Moving between panes with vim movement keys.
bind C-h select-pane -L
bind C-j select-pane -D
bind C-k select-pane -U
bind C-l select-pane -R

# Resize panes with vim movement keys.
bind -r H resize-pane -L 5
bind -r J resize-pane -D 5
bind -r K resize-pane -U 5
bind -r L resize-pane -R 5

#-------------------------------------------------------#
# View.
#-------------------------------------------------------#
set -g window-style 'bg=#131313'
set -g pane-border-style 'fg=blue'
set -g pane-active-border-style 'fg=blue'

set -g status-bg blue
set -g status-fg white
# set-option -ag status-right "#(date)"
# set-option -ag status-right " | #(uptime | cut -f 4-5 -d ' ' | cut -f 1 -d ',')"
set-option -ag status-right " | Battery: #(cat /sys/class/power_supply/BAT1/capacity) |"
